Subject: bug#72611: [Patch] Store canonical paths to project roots

From: Dmitry Gutov <[email-masked]>
Date: Tue, 27 Aug 2024 02:26:10 +0300

On 26/08/2024 20:33, Brad Howes wrote:
> FYI, my goal was to keep from seeing duplicate entries in the list of
> projects due to one path starting with “~” and another having that
> expanded out to my home directory. Ideally the paths would all be
> shortened by removing their common prefix, but I took the shortest route
>   and just expanded whatever was obtained from

It would be useful to track down the scenario which creates those 
different paths.

You might want to upgrade to the last version of 'project' first and 
re-test (in 'M-x list-packages'), if you don't already have it installed.

IIRC project--read-project-list's current definition (with its 
`abbreviate-file-name' calls) is exactly an effort to avoid that.